<?php

/*
 * Form builder for the module site configuration page
 *
 * @param $form
 *   The system settings form to display
 *
 * @see system_settings_form()
 */
function civi_relate_admin() {
  $form = array();
  /*Note: #type select generates a drop down
   */
  $form['civi_relate_profile'] = array(
    '#type' => 'select',
    '#options' => civi_relate_profiles_get(),
    '#title' => t('Select CiviCRM Profile'),
    '#description' => t('This Module establishes a relationship between the acting user and contact created by that user through a CiviCRM Profile. Choose the CiviCRM Profile you wish to use.'),
    '#default_value' => variable_get('civi_relate_profile', 'NONE'),
  );
  $form['civi_relate_ab_perms'] = array(
    '#type' => 'checkbox',
    '#title' => t('Permissioned Relationship'),
    '#description' => t('Acting user may edit the contact created via this profile'),
    '#default_value' => variable_get('civi_relate_ab_perms', 1),
  );
  $form['civi_relate_relationship'] = array(
    '#type' => 'select',
    '#options' => civi_relate_relationships_get(),
    '#title' => t('Select CiviCRM Relationship'),
    '#description' => t('Select the CiviCRM Relationship to establish'),
    '#default_value' => variable_get('civi_relate_relationship', 'NONE'),
  );
  return system_settings_form($form);
}
